﻿AceSwiftShiftLocals = {}
if( not ace:LoadTranslation("AceSwiftShift") ) then
--<< ================================================= >>--
-- Section I: The Chat Options.                          --
--<< ================================================= >>--

AceSwiftShiftLocals.ChatCmd = {"/asf", "/aceswiftshift"}

AceSwiftShiftLocals.ChatOptions = {
	{
		option         = "spam",
		desc           = "set the spam delay in seconds.",
		method         = "SetSpamDelay",
		input          = TRUE,
		args           = {
			{
				option   = "help",
				desc     = "This sets how long after shifting forms AceSwiftShift prevents reshift back to Humanoid form if you hit the bind key multiple times.  After the delay hitting the key for your current form returns you back to Humanoid form."
			}
		},
	},
	{
		option         = "mount",
		desc           = "toggle whether Travel Form will attempt to use your mount.",
		method         = "SetAutoMount",
		input          = FALSE
	},
}
--<< ================================================= >>--
-- Section II: AddOn Information.                        --
--<< ================================================= >>--

AceSwiftShiftLocals.Title   = "AceSwiftShift"
AceSwiftShiftLocals.Version = "a/R.9"
AceSwiftShiftLocals.Desc    = "Ace version of SwiftShift"


--<< ====================================================== >>--
-- Section III: Register Global Variables and Functions.      --
--<< ====================================================== >>--

--<< ================================================= >>--
-- Section IV: Chat Option Variables.                    --
--<< ================================================= >>--

--<< ================================================= >>--
-- Section V: Binding Options Variables.                 --
--<< ================================================= >>--
BINDING_HEADER_AceSwiftShift            = 'AceSwiftShift'
BINDING_NAME_AceSwiftShift_HumanoidForm = 'Humanoid Form'
BINDING_NAME_AceSwiftShift_BearForm     = 'Bear Form'
BINDING_NAME_AceSwiftShift_CatForm      = 'Cat Form'
BINDING_NAME_AceSwiftShift_TravelForm   = 'Travel Form'
BINDING_NAME_AceSwiftShift_MoonkinForm  = 'Moonkin Form'

AceSwiftShiftLocals.MountTexturs={
	"Spell_Nature_Swiftness",
	"Ability_Mount",
	"INV_Misc_Foot_Kodo"
}

AceSwiftShiftLocals.HumanoidForm = 'Humanoid Form';
AceSwiftShiftLocals.DireBearForm = 'Dire Bear Form';
AceSwiftShiftLocals.BearForm = 'Bear Form';
AceSwiftShiftLocals.CatForm = 'Cat Form';
AceSwiftShiftLocals.MoonkinForm = 'Moonkin Form';
AceSwiftShiftLocals.AquaticForm = 'Aquatic Form';
AceSwiftShiftLocals.TravelForm = 'Travel Form';
AceSwiftShiftLocals.Mount = 'Mount';

--AceSwiftShiftLocals.CHAT_ERR_TALK		= " while shapeshifted."
--AceSwiftShiftLocals.CHAT_ERR_MOVING		= "Can't do that while moving"
--AceSwiftShiftLocals.CHAT_ERR_ROOTED		= "You can't do that now"
--AceSwiftShiftLocals.CHAT_ERR_ROOTED2	= "You're in combat"
--AceSwiftShiftLocals.CHAT_ERR_SWIMMING	= "Cannot use while swimming"
--AceSwiftShiftLocals.CHAT_ERR_SWIMMING2	= "Can only use while swimming"

ACESWIFTSHIFT_SPAMDELAY = "spamDelay";
ACESWIFTSHIFT_AUTOMOUNT = "autoMount";
ACESWIFTSHIFT_BAGDELAY = "bagUpdateDelay";



--<< ================================================= >>--
-- Section Omega: Closure.                               --
--<< ================================================= >>--

end
